org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface WipTabSelector

    public interface WipTabSelector

This interface allows clients to provide various strategies for selecting a Chromium tab to debug.

### Nested Class Summary

Nested Classes
`static interface` `WipTabSelector.BrowserAndBackend`

### Method Summary

All Methods Instance Methods Abstract Methods
`WipBrowser.WipTabConnector` `selectTab(WipTabSelector.BrowserAndBackend browserAndBackend)`

### Method Detail

#### selectTab

    WipBrowser.WipTabConnector selectTab(WipTabSelector.BrowserAndBackend browserAndBackend)
                                  throws java.io.IOException

Parameters:
  `browserAndBackend` - is used to download list of tabs; list of tabs may be reloaded if needed
Returns:
  a tab to debug, or null if the launch configuration should not proceed attaching to a Chromium tab
Throws:
  `java.io.IOException` - if tabFetcher got network problems downloading tabs